#delimit ;
clear;

set mem 128m;
set matsize 10000;

cd "d:\stataprogs\comparative ktgnsa\Exporting December05 version of JAE paper\Public files";

capture log close;
log using comparative.log, replace;

use exports_oct05,clear;


gen dex=entex-exitex;
gen dlrmawus=lrmawus-lrmawus_1;
gen lrelwage=lrmawus-lprateus;
gen wood_gha=wood*ghana;

replace country="SOUTH AFRICA" if sa==1;
replace country="NIGERIA" if nigeria==1;
gen pexp_cond=pexp if pexp>0;
gen pexpa_cond=pexpa if pexpa>0;
gen pexpna_cond=pexpna if pexpna>0;

gen export_type="a_I&A" if exportna==1 & exporta==1;
replace export_type="b_I only" if exportna==1 & exporta==0;
replace export_type="c_A only" if exporta==1 & exportna==0;
replace export_type="d_None" if exporta==0 & exportna==0;
replace emp=exp(ll);
replace emp_1=exp(ll_1);
gen size_large=1 if emp>=100;
replace size_large=0 if emp<100 & emp~=.;

drop if kus_routus >20; 
drop if kus_routus <0.01;

gen miss_exp_1=exports+lrl_1+
lkl_1+lml_1+ lol_1+ ll_1+anyfor+fmage;

gen miss_exp_2=exports+export_1+lrl_1+
lkl_1+lml_1+ lol_1+ ll_1+anyfor+fmage;

gen miss_exp_3=exports+export_1+lrl_1+
lkl_1+lml_1+ lol_1+ ll_1+anyfor+fmage;

/*
sort firm;
qui tab firm, gen(firmd);
*/

drop if miss_exp_3==.;
tsset firm year;
gen dexport_1=export_1-export_2;
gen ddexport_1=dexport_1-l.dexport_1;

gen dexport_2=export_2-l3.exports;

sort size_large;
by size_large: sum exports lrl_1 lkl_1  emp_1 ll_1 ;



sum exports exportna exporta ll_1 emp_1  ;
sum exports exportna exporta ll_1 emp_1 ;
sum exports exportna exporta ll_1 emp_1 ;



tabulate country export_type ,sum(emp_1);
table country export_type , c(mean emp_1 mean lrl_1 mean lkl_1 mean fmage mean anyfor) col row;


tabulate country exports ,sum(emp_1);

table country exports , c(mean emp_1 sd emp_1 n emp_1 ) col row;
table country exports , c(mean lrl_1 sd lrl_1 n lrl_1) col row;
table country exports , c(mean lkl_1 sd lkl_1 n lkl_1) col row;
table country exports , c(mean fmage sd fmage n fmage) col row;
table country exports , c(mean anyfor sd anyfor n anyfor) col row;


reg exports  lrl_1 lkl_1 lml_1 lol_1 ll_1  anyfor  fmage 
foods_bak /*met_mac*/ textile garment wood furn texgarsa  wood_gha 
kenya /*ghana*/ tanzania nigeria sa ydum* , cluster(firm);

dprobit exports lrl_1 lkl_1 lml_1 lol_1 ll_1  anyfor  fmage 
foods_bak /*met_mac*/ textile garment wood furn texgarsa  wood_gha 
kenya /*ghana*/ tanzania nigeria sa ydum* , cluster(firm);


xtprobit exports lrl_1 lkl_1 lml_1 lol_1 ll_1  anyfor  fmage 
foods_bak /*met_mac*/ textile garment wood furn texgarsa  wood_gha 
kenya /*ghana*/ tanzania nigeria sa ydum* , i(firm) re;



xtreg exports  lrl_1 lkl_1 lml_1 lol_1 ll_1    fmage 
, i(firm) fe;
outreg using exports, append;


clogit exports  lrl_1 lkl_1 lml_1 lol_1 ll_1   fmage 
,group(firm);


